!
      module fields
      implicit none
      integer,parameter :: len_shortname=16
      integer,parameter :: len_varname=16
      integer,parameter :: len_longname=80
      integer,parameter :: len_units=16
      integer,parameter :: len_class=56
      type field
        character(len=len_varname)   :: var_name
        character(len=len_shortname) :: short_name
        character(len=len_longname)  :: long_name
        character(len=len_units)     :: units
        character(len=len_class)     :: class
        character(len=24)            :: timedep
        character(len=24)            :: restart
        integer                      :: logplt
        real,pointer :: data(:)
      end type field
      end module fields
